Skip to content
GAMPEONCreate
New project

Reports on community messages

GET
/v1/moderation/community-reports
curl --request GET \
--url 'https://api.gampeon.com/v1/moderation/community-reports?status=open' \
--header 'Authorization: Bearer <token>'

Urgent categories (child_safety, violence_threat) first (Art. 18 DSA).

Requires the role moderator or admin.

Not available with access tokens.

status
string
Allowed values: open actioned rejected

Default open

Up to 200

Media typeapplication/json
object
reports
required
Array<object>
object
id
required
string
kind
required

voice: a person in a voice channel; context lists who was there

string
Allowed values: message voice
messageId
required
One of:
integer
communityId
required
One of:
integer
community
required
One of:
string
snapshot
required
string
context
required

Community, channel and the three messages before

string
category
required
string
explanation
required
string
reporterName
required
One of:
string
status
required
string
createdAt
required

Unix time in milliseconds

integer format: int64
authorHandle
required
One of:
string
authorName
required
One of:
string
removedAt
required
One of:

Unix time in milliseconds

integer format: int64
deleted
required
boolean
urgent
required
boolean

Example

{
"reports": [
{
"kind": "message"
}
]
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: forbidden, token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback